import request from '../request';
import type { QueryParams } from './model';

// 获取 L1 数据
export function getL1Data(params: QueryParams) {
  return request({
    url: '/jinghua/l1Data/list',
    method: 'get',
    params
  })
}

// 获取 L4 数据
export function getL4Data(params: QueryParams) {
  return request({
    url: '/jinghua/l4Data/list',
    method: 'get',
    params
  })
}

// 获取 报警记录 数据
export function getAlarmRecords(params: QueryParams) {
  return request({
    url: '/jinghua/alarmRecord/list',
    method: 'get',
    params
  })
}
